public class SmartDevice
{
    public string Location { get; set; }
    protected ISmartHomeMediator Mediator;

    protected SmartDevice(ISmartHomeMediator mediator)
    {
        Mediator = mediator;
    }

    public void SendEvent(string eventMessage)
    {
        Mediator.Notify(this, eventMessage);
    }
}