
public class Thermometer : SmartDevice
{
    //Base class for all Thermometers
    protected double _temperature = 20;
    public Thermometer(ISmartHomeMediator mediator) : base(mediator)
    {

    }

    public void SimualteTemperatureChange(double temperature)
    {

        if (temperature != _temperature)
        {
            _temperature = temperature;
            //Send event is a SmartDevice method that notifies the mediator about the event
            SendEvent("TemperatureChanged");
        }

    }
    public double GetTemperature()
    {
        return _temperature;
    }
}